#!/bin/sh
set -e
add_libvariant_dev_alternative () {
	local libvariant=$1
	local libpriority=$2
	update-alternatives --quiet \
		--install \
			/usr/lib/@MULTIARCH@/libtachyon.so.@LT_CURRENT@ \
			libtachyon.so.@LT_CURRENT@ \
			/usr/lib/@MULTIARCH@/libtachyon-${libvariant}.so.@LT_CURRENT@ $libpriority \
		--slave /usr/lib/@MULTIARCH@/libtachyon.so \
			libtachyon.so \
			/usr/lib/@MULTIARCH@/libtachyon-${libvariant}.so \
		--slave /usr/lib/@MULTIARCH@/libtachyon.so.@LT_CURRENT@.@LT_REVISION@.@LT_AGE@ \
			libtachyon.so.@LT_CURRENT@.@LT_REVISION@.@LT_AGE@ \
			/usr/lib/@MULTIARCH@/libtachyon-${libvariant}.so.@LT_CURRENT@.@LT_REVISION@.@LT_AGE@
	return 0
	}
for LIBVARIANT in @LISTOF_LIBVARIANT@; do
			case $LIBVARIANT in
				##CaseTableOfLibraryPriorities##
				*) echo "unknown library variant \'${LIBVARIANT}': skip" >&2 ;;
			esac
	add_libvariant_dev_alternative $LIBVARIANT $LIBPRIORITY
done
#DEBHELPER#
exit 0
